unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

  function WUSB_Open():Longint; cdecl; external 'WUSBdrv.dll';
  function WUSB_SetupPortA(iomsk: Byte):Longint; cdecl; external 'WUSBdrv.dll';
  function WUSB_WritePortA(value: Byte):Longint; cdecl; external 'WUSBdrv.dll';
  function WUSB_ReadPortA(value: Pointer):Longint; cdecl; external 'WUSBdrv.dll';

type
  TForm1 = class(TForm)
    Button1: TButton;
    Label1: TLabel;
    Edit1: TEdit;
    Button2: TButton;
    GroupBox1: TGroupBox;
    Label2: TLabel;
    Edit2: TEdit;
    Button3: TButton;
    GroupBox2: TGroupBox;
    Button4: TButton;
    Label3: TLabel;
    Edit3: TEdit;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
var
    status: Longint;
begin
    status:=WUSB_Open();
    if status = 1 then
      begin
        MessageDlg('Open Ok', mtInformation, [mbOK], 0);
      end
      else
      begin
        MessageDlg('Open Error...', mtError, [mbOK], 0);
      end
end;

procedure TForm1.Button2Click(Sender: TObject);
var
    status: Longint;
begin
    status := WUSB_SetupPortA(StrToInt(Edit1.Text));
    if status = 0 then
      begin
        MessageDlg('Setup Error', mtInformation, [mbOK], 0);
      end
      else
      begin
         MessageDlg('Setup OK', mtInformation, [mbOK], 0);
      end
end;

procedure TForm1.Button3Click(Sender: TObject);
var
    status: Longint;
begin
    status := WUSB_WritePortA(StrToInt(Edit2.Text));
    if status = 0 then
      begin
        MessageDlg('Write Error', mtInformation, [mbOK], 0);
      end
end;

procedure TForm1.Button4Click(Sender: TObject);
var
    status: Longint;
    data: Byte;
begin
    status := WUSB_ReadPortA(@data);
    if status = 0 then
      begin
        MessageDlg('Read Error', mtInformation, [mbOK], 0);
      end
    else
      begin
        Edit3.Text:= IntToStr(data);
      end
end;

end.
